Bug 961320 - Assertion when leaving FreeIPA domain
Assertion when leaving FreeIPA domain
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 918092
  Show dependency treegraph
 
Reported: 2013-05-09 08:16 EDT by Stef Walter
Modified: 2013-05-26 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: realmd-0.14.1-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:24:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2013-05-09 08:16:34 EDT
Saw this assertion when leaving a FreeIPA domain:

May  9 14:13:07 thinker realmd[21894]: Client uninstall complete.
May  9 14:13:07 thinker realmd[21894]:  * Removing entries from keytab for realm
May  9 14:13:07 thinker realmd[21894]:  * /usr/sbin/sss_cache --users --groups --netgroups --services --autofs-maps
May  9 14:13:08 thinker realmd[21894]:  * Removing domain configuration from sssd.conf
May  9 14:13:08 thinker realmd[21894]: realm_sssd_config_remove_domain: assertion `domain != NULL' failed
May  9 14:13:08 thinker realmd[21894]: egg_task_return_error: assertion `error != NULL' failed
May  9 14:13:08 thinker dbus-daemon[517]: ** (realmd:21894): CRITICAL **: realm_sssd_config_remove_domain: assertion `domain != NULL' failed
May  9 14:13:08 thinker dbus-daemon[517]: ** (realmd:21894): CRITICAL **: egg_task_return_error: assertion `error != NULL' failed
Comment 1 Stef Walter 2013-05-13 12:51:36 EDT
Fixed upstream, and will be in 0.14.1
Comment 2 Fedora Update System 2013-05-13 13:49:14 EDT
realmd-0.14.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/realmd-0.14.1-1.fc19
Comment 3 Fedora Update System 2013-05-13 23:46:57 EDT
Package realmd-0.14.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8135/realmd-0.14.1-1.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-05-26 23:24:35 EDT
realmd-0.14.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.